## plasma-settings 23.01.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "23.01")
project(plasma-settings VERSION ${PROJECT_VERSION})

include(FeatureSummary)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set (QT_MIN_VERSION "5.15.2")
set (KF5_MIN_VERSION "5.86")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMQMLModules)
include(ECMSetupVersion)
include(KDEClangFormat)
include(KDEGitCommitHooks)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX PLASMA_SETTINGS
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Widgets)
find_package(KF5KirigamiAddons 0.6 REQUIRED)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    Solid
    Config
    Auth
    DBusAddons
    I18n
    Plasma
    Service
    Declarative
    KIO
    ModemManagerQt
    NetworkManagerQt
)

find_package(PkgConfig REQUIRED)

pkg_check_modules(GOBJECT gobject-2.0 REQUIRED IMPORTED_TARGET)
pkg_check_modules(GIO gio-2.0 REQUIRED IMPORTED_TARGET)

ecm_find_qmlmodule(org.kde.kcm 1.0)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)

add_subdirectory(src)
add_subdirectory(modules)

ki18n_install(po)

install(FILES org.kde.mobile.plasmasettings.desktop DESTINATION ${KDE_INSTALL_APPDIR})

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== modules/CMakeLists.txt ===
# Install the packages, also make it known to the system

add_subdirectory(time)

# Power
# The port to C++ is happening, this is just
# a quick and dirty hack so we have this fast
# while the real powermanagement is being rewritten for plasma 5.22
add_subdirectory(powermanagement)

# Info
add_subdirectory(info)

# Cellular Network
add_subdirectory(cellularnetwork)

# Virtual Keyboard (maliit)
add_subdirectory(virtualkeyboard)

=== src/CMakeLists.txt ===
set(plasma-settings_SRCS
    main.cpp
    settingsapp.cpp
    modulesmodel.cpp
    modulesproxymodel.cpp
    module.cpp
    resources.qrc
)

add_executable(plasma-settings ${plasma-settings_SRCS})

target_include_directories(plasma-settings PRIVATE ${CMAKE_BINARY_DIR})

target_link_libraries(plasma-settings
    Qt::Quick
    Qt::Gui
    Qt::Widgets
    KF5::Package
    KF5::DBusAddons
    KF5::QuickAddons
    KF5::I18n
)

install(TARGETS plasma-settings ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== modules/cellularnetwork/CMakeLists.txt ===
set (cellularnetworksettings_SRCS 
    cellularnetworksettings.cpp 
    modem.cpp
    modemdetails.cpp
    sim.cpp
    mobileproviders.cpp
    profilesettings.cpp
)

add_library(kcm_cellular_network MODULE ${cellularnetworksettings_SRCS})

target_link_libraries(kcm_cellular_network
    Qt::DBus
    Qt::Gui
    Qt::Quick
    Qt::Qml
    Qt::Xml
    KF5::Plasma
    KF5::I18n
    KF5::NetworkManagerQt
    KF5::ModemManagerQt
    KF5::QuickAddons
)

install(TARGETS kcm_cellular_network DESTINATION ${KDE_INSTALL_PLUGINDIR}/kcms)
kpackage_install_package(package kcm_cellular_network kcms)

=== modules/info/CMakeLists.txt ===
set(info_SRCS # Specify source files for the library
    info.cpp
    distroinfo.cpp
    softwareinfo.cpp
    hardwareinfo.cpp
)

add_library(kcm_mobile_info MODULE ${info_SRCS})

target_link_libraries(kcm_mobile_info
    Qt::Core
    KF5::CoreAddons
    KF5::I18n
    KF5::QuickAddons
    KF5::ConfigCore
    KF5::Solid
)

install(TARGETS kcm_mobile_info DESTINATION ${KDE_INSTALL_PLUGINDIR}/kcms) # Install the library to the kcm location

kpackage_install_package(package kcm_mobile_info kcms) # Finally install our QML kpackage.

=== modules/time/CMakeLists.txt ===
set(timesettings_SRCS
    timesettings.cpp
    timezonemodel.cpp
    timezonesi18n.cpp
)

qt_add_dbus_interface(timesettings_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/timedated1.xml timedated_interface)

add_library(kcm_mobile_time MODULE ${timesettings_SRCS})

target_link_libraries(kcm_mobile_time
    Qt::Quick
    Qt::Qml
    Qt::DBus
    KF5::QuickAddons
    KF5::ConfigCore
    KF5::I18n
    )

# Time and Date

install(TARGETS kcm_mobile_time DESTINATION ${KDE_INSTALL_QTPLUGINDIR}/kcms)
kpackage_install_package(package kcm_mobile_time kcms)

=== modules/virtualkeyboard/CMakeLists.txt ===
set(MALIIT_KEYBOARD_LANGUAGES_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/maliit/keyboard2/languages" CACHE PATH "Directory containing maliit-keyboard data")

add_definitions(-DQT_NO_KEYWORDS)

set(onscreenkeyboard_SRCS
    languagemodel.cpp
    gsettingsitem.cpp
    virtualkeyboard.cpp
)

add_library(kcm_mobile_onscreenkeyboard MODULE ${onscreenkeyboard_SRCS})

target_compile_definitions(kcm_mobile_onscreenkeyboard PRIVATE "MALIIT_KEYBOARD_LANGUAGES_DIR=\"${MALIIT_KEYBOARD_LANGUAGES_DIR}\"")

target_link_libraries(kcm_mobile_onscreenkeyboard
    Qt::Core
    KF5::CoreAddons
    KF5::I18n
    KF5::QuickAddons
    KF5::ConfigCore
    PkgConfig::GIO
    PkgConfig::GOBJECT
)

install(TARGETS kcm_mobile_onscreenkeyboard DESTINATION ${KDE_INSTALL_PLUGINDIR}/kcms)

kpackage_install_package(package kcm_mobile_virtualkeyboard kcms)

=== debian/changelog ===
plasma-settings (23.01.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:12:54 +1100

plasma-settings (23.01.0-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:28:13 +0000

plasma-settings (23.01.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:41:09 +0000

plasma-settings (23.01.0-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * New upstream release

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 11 Feb 2023 22:18:39 +0100

plasma-settings (22.11-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * Initial release. Closes: #1023252

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 24 Jan 2023 23:30:54 +0100

=== debian/control ===
Source: plasma-settings
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.86~),
               kirigami-addons-dev (>= 0.6~),
               libglib2.0-dev,
               libkf5auth-dev (>= 5.86~),
               libkf5config-dev (>= 5.86~),
               libkf5coreaddons-dev (>= 5.86~),
               libkf5dbusaddons-dev (>= 5.86~),
               libkf5declarative-dev (>= 5.86~),
               libkf5i18n-dev (>= 5.86~),
               libkf5kio-dev (>= 5.86~),
               libkf5networkmanagerqt-dev,
               libkf5plasma-dev (>= 5.86~),
               libkf5service-dev (>= 5.86~),
               libkf5solid-dev (>= 5.86~),
               modemmanager-qt-dev (>= 5.86~),
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/plasma-settings
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/plasma-settings
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/plasma-settings.git
Rules-Requires-Root: no

Package: plasma-settings
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami-addons-labs-mobileform,
         qml-module-org-kde-kirigami2,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: kaccounts-integration, kaccounts-providers
Description: Settings application for Plasma Mobile
 This package contains configuration modules for the Plasma mobile
 environment, allowing the user to modify in a graphical interface, various
 configurations related to audio, Bluetooth, monitor, default applications,
 virtual keyboard, notifications, time and date, localization, network modem,
 and other components of the Plasma environment.
 .
 It is based on Qt graphical libraries and KDE Frameworks. In particular,
 it relies on Kirigami so its user interface can fit a variety of display
 sizes. However, it has been optimized for touch devices, so desktop users
 should install the 'systemsettings' package instead.

## plasma-settings 24.02.0

=== debian/changelog ===
plasma-settings (24.02.0-1) unstable; urgency=medium

  * New upstream release
  * Update d/control after upstream changes (Closes: #1079479)
  * Update d/rules after upstream migrating from KF5 to KF6
  * Update d/copyright after upstream changes
  * Bump standards-version to 4.7.0 (no changes needed)
  * Drop d/patches because the patch was accepted upstream

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 13 Jul 2024 16:14:56 +0200

=== debian/control ===
Source: plasma-settings
Section: kde
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0~),
               kirigami-addons-dev (>= 1.0~),
               libkf6config-dev (>= 6.0~),
               libkf6coreaddons-dev (>= 6.0~),
               libkf6dbusaddons-dev (>= 6.0~),
               libkf6i18n-dev (>= 6.0~),
               libkf6kcmutils-dev (>= 6.0~),
               libkf6service-dev (>= 6.0~),
               pkgconf,
               pkg-kde-tools,
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma-mobile/plasma-settings
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/plasma-settings
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/plasma-settings.git
Rules-Requires-Root: no

Package: plasma-settings
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         polkit-kde-agent-1 (>= 4:6.0.0~),
         qml6-module-org-kde-breeze,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kirigamiaddons-formcard,
Recommends: bluedevil,
            kde-config-screenlocker,
            kscreen,
            plasma-workspace,
            powerdevil,
Suggests: plasma-mobile
Description: Settings application for Plasma Mobile
 This package contains configuration modules for the Plasma mobile
 environment, allowing the user to modify in a graphical interface, various
 configurations related to audio, Bluetooth, monitor, default applications,
 virtual keyboard, notifications, time and date, localization, network modem,
 and other components of the Plasma environment.
 .
 It is based on Qt graphical libraries and KDE Frameworks. In particular,
 it relies on Kirigami so its user interface can fit a variety of display
 sizes. However, it has been optimized for touch devices, so desktop users
 should install the 'systemsettings' package instead.

=== debian/watch ===
version=4
opts=pgpmode=auto https://download.kde.org/stable/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## plasma-settings 25.02.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "25.02.0")
project(plasma-settings VERSION ${PROJECT_VERSION})

include(FeatureSummary)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set (QT_MIN_VERSION "6.6.0")
set (KF6_MIN_VERSION "6.0.0")
set(KDE_COMPILERSETTINGS_LEVEL "6.0.0")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMQMLModules)
include(ECMSetupVersion)
include(ECMDeprecationSettings)
include(ECMQmlModule)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX PLASMA_SETTINGS
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Widgets QuickControls2)
find_package(KF6KirigamiAddons 1.0 REQUIRED)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    DBusAddons
    I18n
    KCMUtils
    Crash
    Service
    ItemViews
    ItemModels
)

ecm_set_disabled_deprecation_versions(QT 6.7.2  KF 6.5.0)

add_subdirectory(categories)
add_subdirectory(src)

ki18n_install(po)

install(FILES org.kde.mobile.plasmasettings.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps/)
install(FILES org.kde.mobile.plasmasettings.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.mobile.plasmasettings.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== categories/CMakeLists.txt ===
install(FILES
    settings-root-category.desktop

    settings-network.desktop
    settings-network-networksettings.desktop

    settings-hardware-input.desktop
    settings-hardware-input-pointing-devices.desktop
    settings-hardware-keyboard.desktop
    settings-hardware-input-touchscreen.desktop
    settings-hardware-multimedia.desktop
    settings-hardware-display.desktop

    settings-hardware.desktop
    settings-hardware-removable-storage.desktop

    settings-appearance.desktop
    settings-appearance-themes.desktop
    settings-appearance-font.desktop

    settings-applications.desktop
    settings-applications-defaults.desktop
    settings-workspace-windowmanagement.desktop

    settings-personalization.desktop
    settings-workspace.desktop
    settings-workspace-search.desktop

    settings-security-privacy.desktop
    settings-applications-permissions.desktop

    settings-regionalsettings.desktop

    settings-system-administration.desktop
    settings-workspace-session.desktop

    DESTINATION ${KDE_INSTALL_DATADIR}/plasma-settings/categories
)

=== debian/changelog ===
plasma-settings (25.02.0-2) unstable; urgency=medium

  * Add/update Carl Schwan’s key in upstream keyring.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 15 Mar 2025 16:24:19 +0100

plasma-settings (25.02.0-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * New upstream release (25.02.0).
  * Update build-deps and deps with the info from cmake.
  * d/copyright: update after lintian notes.
  * d/control: bump Std-Ver (no changes needed).
  * Change maintainer to the Qt/KDE Team.
  * Update Vcs-* URLs to the new location in the Qt/KDE team’s GitLab group.
  * Drop gbp.conf.
  * Simplify packaging by using dh-* build-deps.
  * Refresh upstream metadata.
  * d/watch: set pgpsigurlmangle option for uscan to check upstream signatures.

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Wed, 05 Mar 2025 20:42:39 +0100

=== debian/control ===
Source: plasma-settings
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               kirigami-addons-dev (>= 1.0~),
               libkf6config-dev (>= 6.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6itemmodels-dev (>= 6.0.0~),
               libkf6itemviews-dev (>= 6.0.0~),
               libkf6kcmutils-dev (>= 6.0.0~),
               libkf6service-dev (>= 6.0.0~),
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma-mobile/plasma-settings
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-settings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-settings.git
Rules-Requires-Root: no

Package: plasma-settings
Architecture: any
Depends: polkit-kde-agent-1 (>= 4:6.0.0~),
         ${misc:Depends},
         ${shlibs:Depends},
         ${qml6:Depends},
Recommends: bluedevil,
            kde-config-screenlocker,
            kscreen,
            plasma-workspace,
            powerdevil,
Suggests: plasma-mobile,
Description: Settings application for Plasma Mobile
 This package contains configuration modules for the Plasma mobile
 environment, allowing the user to modify in a graphical interface, various
 configurations related to audio, Bluetooth, monitor, default applications,
 virtual keyboard, notifications, time and date, localization, network modem,
 and other components of the Plasma environment.
 .
 It is based on Qt graphical libraries and KDE Frameworks. In particular,
 it relies on Kirigami so its user interface can fit a variety of display
 sizes. However, it has been optimized for touch devices, so desktop users
 should install the 'systemsettings' package instead.

## plasma-settings 25.07.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "25.02.0")
+set(PROJECT_VERSION "25.07.0")
 project(plasma-settings VERSION ${PROJECT_VERSION})
 
 include(FeatureSummary)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_executable(plasma-settings
    main.cpp
    settingsapp.cpp settingsapp.h
    modulesmodel.cpp modulesmodel.h
    modulesproxymodel.cpp modulesproxymodel.h
    module.cpp module.h
    menuitem.cpp menuitem.h
)

ecm_add_qml_module(plasma-settings GENERATE_PLUGIN_SOURCE URI org.kde.plasma.settings)

qt_target_qml_sources(plasma-settings
    QML_FILES
        qml/DefaultPage.qml
        qml/KCMContainer.qml
        qml/Sidebar.qml
        qml/SidebarCategoriesPage.qml
        qml/SidebarDelegate.qml
        qml/SidebarSubCategoryPage.qml
        qml/Main.qml
)

target_include_directories(plasma-settings PRIVATE ${CMAKE_BINARY_DIR})

target_link_libraries(plasma-settings PRIVATE
    Qt::Quick
    Qt::QuickControls2
    Qt::Gui
    Qt::Widgets
    KF6::DBusAddons
    KF6::KCMUtilsQuick
    KF6::I18n
    KF6::Crash
    KF6::Service
    KF6::ItemViews
    KF6::ItemModels
    KF6::I18nQml
)

install(TARGETS plasma-settings ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
plasma-settings (25.07.0-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * New upstream release (25.07.0).
  * Update build-deps and deps with the info from cmake.
  * Add/update Devin Lin’s key in upstream keyring.

  [ Aurélien COUDERC ]
  * Drop extra signatures on upstream signing keys.

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Thu, 14 Aug 2025 14:25:43 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
            Arnaud Ferraris <aferraris@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                kirigami-addons-dev (>= 1.0~),
                libkf6config-dev (>= 6.0~),
@@ -33,8 +33,8 @@
 Architecture: any
 Depends: polkit-kde-agent-1 (>= 4:6.0.0~),
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
-         ${qml6:Depends},
 Recommends: bluedevil,
             kde-config-screenlocker,
             kscreen,

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## plasma-settings 25.07.0+p24.04+vstable+git20251002.0404

=== debian/changelog ===
plasma-settings (25.07.0+p24.04+vstable+git20251002.0404-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 02 Oct 2025 04:04:58 +0000

plasma-settings (25.07.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Jul 2025 12:52:51 +0000

plasma-settings (25.02.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Feb 2025 12:52:40 +0000

plasma-settings (24.02.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 28 Feb 2024 12:05:19 +0000

plasma-settings (23.01.0-1neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 30 Jan 2023 12:52:19 +0000

plasma-settings (22.11-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 30 Nov 2022 12:52:18 +0000

plasma-settings (22.09-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Oct 2022 12:58:07 +0000

plasma-settings (22.06-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2022 09:29:41 +0000

plasma-settings (22.04-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 24 Apr 2022 12:52:24 +0000

plasma-settings (22.02-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 Feb 2022 16:29:02 +0000

plasma-settings (21.12-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 12:52:05 +0000

plasma-settings (21.08-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 10:19:48 +0000

plasma-settings (21.07-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jul 2021 12:52:04 +0000

plasma-settings (21.06-0neon) focal; urgency=medium

  [ Jonah Brüchert ]
  * New Snapshot
  * libkgapi-dev -> libkpimgapi-dev
  * Add dep to qml-module-org-kde-kirigami2
  * drop libkf5kdelibs4support-dev dependency

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:53:05 +0000

plasma-settings (0.0.1-0ubuntu5) vivid; urgency=medium

  * add dep to qml-module-ubuntu-onlineaccounts

 -- Bhushan Shah <bshah@kde.org>  Tue, 12 Jan 2016 18:29:38 +0530

plasma-settings (0.0.1-0ubuntu4) vivid; urgency=medium

  * add deps

 -- Boudewijn Rempt <boud@kde.org>  Fri, 05 Jun 2015 08:03:51 +0000

plasma-settings (0.0.1-0ubuntu3) vivid; urgency=medium

  *  add deps

 -- Boudewijn Rempt <boud@kde.org>  Fri, 05 Jun 2015 07:57:36 +0000

plasma-settings (0.0.1-0ubuntu2) vivid; urgency=medium

  * fix dependency 

 -- Boudewijn Rempt <boud@kde.org>  Fri, 05 Jun 2015 07:48:43 +0000

plasma-settings (0.0.1-0ubuntu1) vivid; urgency=medium

  * Add ecm as dependency

 -- Boudewijn Rempt <boud@kde.org>  Fri, 05 Jun 2015 07:37:38 +0000

plasma-settings (0.0.1-0ubuntu0) vivid; urgency=medium

  * Initial release. 

 -- Boudewijn Rempt <boud@kde.org>  Wed, 05 June 2015 09:50:41 +0000

## plasma-settings 25.07.0+p24.04+vstable+git20251005.1054

=== debian/changelog ===
plasma-settings (25.07.0+p24.04+vstable+git20251005.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 10:54:45 +0000

## plasma-settings 25.07.0+p24.04+vstable+git20251019.0357

=== debian/changelog ===
plasma-settings (25.07.0+p24.04+vstable+git20251019.0357-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:57:16 +0000

=== debian/control ===
Source: plasma-settings
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kirigami-addons-dev,
               kf6-kitemmodels-dev,
               kf6-kitemviews-dev,
               kf6-kservice-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/plasma-settings.git
Vcs-Git: https://invent.kde.org/neon/mobile/plasma-settings.git
Vcs-Browser: https://invent.kde.org/neon/mobile/plasma-settings
Maintainer: Neon CI <neon@kde.org>

Package: plasma-settings
Architecture: any
Depends: kf6-kcmutils,
         kf6-kirigami-addons,
         kf6-kirigami2,
         kf6-plasma-framework,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-nm (<< 4:6.3.3)
Description: Plasma Mobile settings application
 The Plasma Mobile settings application.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/plasma-settings/@PACKAGE@-([\d.]+).tar.xz

## plasma-settings 25.07.0+p24.04+vstable+git20251028.1017

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: 2025 Carl Schwan <carlschwan@kde.org>
+# SPDX-License-Identifier: BSD-2-Clause
+
 cmake_minimum_required(VERSION 3.16)
 
 set(PROJECT_VERSION "25.07.0")

=== debian/changelog ===
plasma-settings (25.07.0+p24.04+vstable+git20251028.1017-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:17:08 +0000

## plasma-settings 25.11.0

=== debian/changelog ===
plasma-settings (25.11.0-0zneon+24.04+noble+release+build9) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 12:07:35 +0000

plasma-settings (25.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 11:52:51 +0000

## plasma-settings 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "25.07.0")
+set(PROJECT_VERSION "25.12.0")
 project(plasma-settings VERSION ${PROJECT_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
plasma-settings (25.12.0-1) unstable; urgency=medium

  * Team upload.

  [ Marco Mattiolo ]
  * New upstream release (25.12.0).
  * Migrate to debian/watch version 5 syntax.
  * d/control: drop redundant Rules-Requires-Root.

  [ Aurélien COUDERC ]
  * Bump Standards-Version to 4.7.3, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Jan 2026 22:49:08 +0100

=== debian/control ===
Source: plasma-settings
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               kirigami-addons-dev (>= 1.0~),
               libkf6config-dev (>= 6.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6itemmodels-dev (>= 6.0.0~),
               libkf6itemviews-dev (>= 6.0.0~),
               libkf6kcmutils-dev (>= 6.0.0~),
               libkf6service-dev (>= 6.0.0~),
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/plasma-mobile/plasma-settings
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-settings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-settings.git

Package: plasma-settings
Architecture: any
Depends: polkit-kde-agent-1 (>= 4:6.0.0~),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: bluedevil,
            kde-config-screenlocker,
            kscreen,
            plasma-workspace,
            powerdevil,
Suggests: plasma-mobile,
Description: Settings application for Plasma Mobile
 This package contains configuration modules for the Plasma mobile
 environment, allowing the user to modify in a graphical interface, various
 configurations related to audio, Bluetooth, monitor, default applications,
 virtual keyboard, notifications, time and date, localization, network modem,
 and other components of the Plasma environment.
 .
 It is based on Qt graphical libraries and KDE Frameworks. In particular,
 it relies on Kirigami so its user interface can fit a variety of display
 sizes. However, it has been optimized for touch devices, so desktop users
 should install the 'systemsettings' package instead.

## plasma-settings 25.12.0+p24.04+vstable+git20251231.0237

=== debian/changelog ===
plasma-settings (25.12.0+p24.04+vstable+git20251231.0237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:37:14 +0000

plasma-settings (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 00:52:51 +0000

## plasma-settings 25.12.0+p24.04+vstable+git20260103.0532

=== debian/changelog ===
plasma-settings (25.12.0+p24.04+vstable+git20260103.0532-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 05:32:13 +0000

## plasma-settings 25.12.0+p24.04+vstable+git20260105.1054

=== debian/changelog ===
plasma-settings (25.12.0+p24.04+vstable+git20260105.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:54:13 +0000

## plasma-settings 25.12.0+p24.04+vstable+git20260129.0211

=== debian/changelog ===
plasma-settings (25.12.0+p24.04+vstable+git20260129.0211-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:11:18 +0000

## plasma-settings 25.12.0+p24.04+vstable+git20260201.0543

=== debian/changelog ===
plasma-settings (25.12.0+p24.04+vstable+git20260201.0543-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 05:43:44 +0000

## plasma-settings 25.12.0+p24.04+vunstable+git20260130.1409

=== debian/changelog ===
plasma-settings (25.12.0+p24.04+vunstable+git20260130.1409-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:09:58 +0000

## plasma-settings 25.12.0+p24.04+vunstable+git20260203.0924

=== debian/changelog ===
plasma-settings (25.12.0+p24.04+vunstable+git20260203.0924-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 09:24:13 +0000
